// @flow

import React from 'react'
import { compose, withState } from 'recompose'
import { storiesOf } from '@kadira/storybook'
import OptIn from './'

const props = {
  header: 'Get Free Report',
  callToAction: 'Give me now',
}

const theme = {
  header: 'f4 tc',
  input: 'ma1',
  callToAction: 'ma1 is-primary',
}

const OptInDefault = withState('email', 'onEmailChange', '')(OptIn)
const OptInWithName = compose(
  withState('email', 'onEmailChange', ''),
  withState('name', 'onNameChange', ''),
)(OptIn)

storiesOf('OptIn', module)
  .add('default', () => (
    <div className="mw6 center">
      <h2 className="f4 tc fw6">Default</h2>
      <OptInDefault
        className="pa2"
        {...props}
        theme={theme}
      />
      <div className="bb bw2 b--light-gray mv3" />
      <h2 className="f4 tc fw6">With Name</h2>
      <OptInWithName
        className="pa2"
        {...props}
        theme={theme}
      />
      <h2 className="f4 tc fw6">Default Horizontal</h2>
      <OptInDefault
        className="pa2"
        {...props}
        isHorizontal
        theme={theme}
      />
      <div className="bb bw2 b--light-gray mv3" />
      <h2 className="f4 tc fw6">With Name Horizontal</h2>
      <OptInWithName
        className="pa2"
        {...props}
        isHorizontal
        theme={theme}
      />
    </div>
  ))
