// @flow

import React from 'react'
import { storiesOf } from '@kadira/storybook'
import PricingTable from './'

const data = {
  // fields: ['Storage', 'Email', 'Domain', 'Bandwidth'],
  data: {
    small: {
      name: 'Small',
      theme: {
        root: 'ma2',
        name: 'bg-orange white pa2 tc',
        price: 'pa2 f3 orange tc',
        body: 'pa2',
        item: 'bb b--light-gray pa1 gray',
        callToAction: 'bg-orange white pa2 tc',
      },
      price: '100 USD',
      items: [
        '10Gb',
        '20',
        '10',
        '20Gb',
      ],
      callToAction: {
        label: 'Check out here',
        href: '/',
      },
    },
    medium: {
      name: 'Medium',
      theme: {
        root: 'ma2',
        name: 'bg-green white pa2 tc',
        price: 'pa2 f3 green tc',
        body: 'pa2',
        item: 'bb b--light-gray pa1 gray',
        callToAction: 'bg-green white pa2 tc',
      },
      popular: true,
      price: 200,
      items: [
        '20Gb',
        '30',
        '20',
        '40Gb',
      ],
      callToAction: {
        label: 'Check out here',
        href: '/',
      },
    },
    large: {
      name: 'Large',
      theme: {
        root: 'ma2',
        name: 'bg-blue white pa2 tc',
        price: 'pa2 f3 blue tc',
        body: 'pa2',
        item: 'bb b--light-gray pa1 gray',
        callToAction: 'bg-blue white pa2 tc',
      },
      price: 300,
      items: [
        '40Gb',
        '50',
        '50',
        '50Gb',
      ],
      callToAction: {
        label: 'Check out here',
        href: '/',
      },
    },
  },
}

storiesOf('Pricing Table', module)
  .add('default', () => (
    <div>
      <h2 className="f4 tc fw6">Full</h2>
      <PricingTable data={data} />
      <div className="bb bw2 b--light-gray mv3" />
      <h2 className="f4 tc fw6">Limit Width</h2>
      <PricingTable className="mw7 center" data={data} />
      <div className="bb bw2 b--light-gray mv4" />
      <h2 className="f4 tc fw6">Custom Render Link</h2>
      <PricingTable
        className="mw7 center"
        data={data}
        renderLink={link => (
          <a className="white-80 hover-white f4" href={link.href}>{link.label}</a>
        )}
      />
    </div>
  ))
