// @flow

import React from 'react'
import { storiesOf } from '@kadira/storybook'
import SideBySideHero from './'

const props = {
  title: 'Collect all of your customer data and send it anywhere.',
  subtitle: 'Stream data to every marketing integration your team needs.',
  subscribeText: 'Subscribe Here',
  imageUrl: 'https://static.segment.com/site-public/2.66.17-29-ge52c5ca/apps/home/public/images/featured-video@2x.jpg',
  imageCaption: 'Hear what our customers have to say.',
}

const theme = {
  title: 'white title',
  subtitle: 'white subtitle',
  rightWrapper: 'pa2 pa3-ns flex flex-column justify-center',
  imageUrl: 'white',
  imageCaption: 'tc white',
}

storiesOf('SideBySideHero', module)
  .add('default', () => (
    <SideBySideHero className="pa2" {...props} />
  ))
  .add('has max width', () => (
    <div className="bg-black-10">
      <SideBySideHero className="center mw7 pa2" {...props} />
    </div>
  ))
  .add('overide theme', () => (
    <div className="bg-black-50">
      <SideBySideHero className="center mw7 pa2" theme={theme} {...props} />
    </div>
  ))
