// @flow

import React from 'react'
import StandardItem from 'components/StandardItem'

const StandardList = ({
  data,
  childrenTheme,
  itemClassName,
  className,
}: {
  data: Array<Item>,
  childrenTheme: { [key: string]: string},
  className?: string,
  itemClassName: string,
}) => (
  <div className={className}>
    {data.map(item => (
      <div key={item.title} className={itemClassName}>
        <StandardItem
          item={item}
          theme={childrenTheme}
        />
      </div>
    ))}
  </div>
)

StandardList.defaultProps = {
  className: null,
}

export default StandardList
