'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _reactCssThemr = require('react-css-themr');

var _Input = require('rebulma/lib/Input');

var _Input2 = _interopRequireDefault(_Input);

var _Button = require('rebulma/lib/Button');

var _Button2 = _interopRequireDefault(_Button);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var defaultStyles = {
  header: '',
  input: '',
  callToAction: ''
};

var themeConfig = {
  vertical: {
    root: '',
    form: '',
    input: 'w-100',
    callToAction: 'w-100'
  },
  horizontal: {
    root: '',
    form: 'flex items-center',
    input: 'flex-auto',
    callToAction: 'flex-none'
  }
};

var OptIn = function OptIn(_ref) {
  var _ref$isHorizontal = _ref.isHorizontal,
      isHorizontal = _ref$isHorizontal === undefined ? false : _ref$isHorizontal,
      header = _ref.header,
      action = _ref.action,
      secret = _ref.secret,
      callToAction = _ref.callToAction,
      nameLabel = _ref.nameLabel,
      name = _ref.name,
      onNameChange = _ref.onNameChange,
      emailLabel = _ref.emailLabel,
      email = _ref.email,
      onEmailChange = _ref.onEmailChange,
      className = _ref.className,
      theme = _ref.theme;

  var styleName = isHorizontal ? 'horizontal' : 'vertical';
  var _theme = themeConfig[styleName];
  return _react2.default.createElement(
    'div',
    { className: className },
    !!header && _react2.default.createElement(
      'h2',
      { className: theme.header },
      header
    ),
    _react2.default.createElement(
      'form',
      {
        className: _theme.form,
        action: action,
        method: 'post',
        target: '_blank'
      },
      typeof name === 'string' && _react2.default.createElement(_Input2.default, {
        name: 'FNAME',
        id: 'mce-FNAME',
        className: (0, _classnames2.default)(_theme.input, theme.input),
        value: name,
        placeholder: nameLabel,
        onChange: function onChange(e) {
          onNameChange(e.target.value);
        }
      }),
      _react2.default.createElement(_Input2.default, {
        type: 'email',
        name: 'EMAIL',
        id: 'mce-EMAIL',
        className: (0, _classnames2.default)(_theme.input, theme.input),
        value: email,
        placeholder: emailLabel,
        onChange: function onChange(e) {
          onEmailChange(e.target.value);
        }
      }),
      _react2.default.createElement('input', {
        className: 'dn',
        'aria-hidden': 'true',
        type: 'text',
        name: secret,
        tabIndex: '-1',
        value: ''
      }),
      _react2.default.createElement(
        _Button2.default,
        { className: (0, _classnames2.default)(_theme.callToAction, theme.callToAction) },
        callToAction
      )
    )
  );
};

OptIn.defaultProps = {
  header: null,
  className: null,
  isHorizontal: false,
  nameLabel: 'Your Name',
  emailLabel: 'Your Email'
};

exports.default = (0, _reactCssThemr.themr)('OptIn', defaultStyles, { composeTheme: 'softly' })(OptIn);