'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* eslint-disable react/no-array-index-key */

var PricingCard = function PricingCard(_ref) {
  var className = _ref.className,
      _ref$item = _ref.item,
      name = _ref$item.name,
      price = _ref$item.price,
      items = _ref$item.items,
      callToAction = _ref$item.callToAction,
      _ref$item$theme = _ref$item.theme,
      theme = _ref$item$theme === undefined ? {} : _ref$item$theme,
      renderLink = _ref.renderLink;
  return _react2.default.createElement(
    'div',
    { className: (0, _classnames2.default)(className, theme.root) },
    _react2.default.createElement(
      'div',
      { className: theme.name },
      name
    ),
    _react2.default.createElement(
      'div',
      { className: theme.price },
      price
    ),
    _react2.default.createElement(
      'div',
      { className: theme.body },
      items.map(function (value, index) {
        return _react2.default.createElement(
          'div',
          { className: theme.item, key: index },
          value
        );
      })
    ),
    _react2.default.createElement(
      'div',
      { className: theme.callToAction },
      !renderLink && _react2.default.createElement(
        'span',
        null,
        callToAction.label
      ),
      !!renderLink && renderLink(callToAction)
    )
  );
};

PricingCard.defaultProps = {
  className: null,
  renderLink: null
};

var PricingTable = function PricingTable(_ref2) {
  var className = _ref2.className,
      _ref2$data = _ref2.data,
      _ref2$data$fields = _ref2$data.fields,
      fields = _ref2$data$fields === undefined ? [] : _ref2$data$fields,
      data = _ref2$data.data,
      renderLink = _ref2.renderLink;

  var keys = Object.keys(data);
  return _react2.default.createElement(
    'div',
    { className: className },
    fields.length > 0 && _react2.default.createElement(
      'div',
      null,
      fields.map(function (x) {
        return _react2.default.createElement(
          'div',
          { key: x },
          x
        );
      })
    ),
    _react2.default.createElement(
      'div',
      { className: 'flex' },
      keys.map(function (key) {
        return _react2.default.createElement(PricingCard, {
          className: 'flex-auto',
          item: data[key],
          renderLink: renderLink
        });
      })
    )
  );
};

PricingTable.defaultProps = {
  className: null,
  renderLink: null
};

exports.default = PricingTable;